package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.SysGroup;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ztw
 * @since 2020-08-18
 */
public interface ISysGroupService extends IService<SysGroup> {

	BaseResponse<IPage<SysGroup>> getPage(PageQuery pageQuery);

	BaseResponse<List<SysGroup>> getList();

	BaseResponse<SysGroup> create(SysGroup query);

	BaseResponse<SysGroup> update(SysGroup query);




}
